Bug 990572 - cloud-init integration - REST API
cloud-init integration - REST API
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.3.0
All Linux
high Severity medium
: ---
: 3.3.0
Assigned To: Omer Frenkel
Pavel Novotny
http://www.ovirt.org/Features/Cloud-I...
virt
:
Depends On: 619761 1047356
Blocks: 641301 977201 977663 977664 3.3snap4
  Show dependency treegraph
 
Reported: 2013-07-31 09:28 EDT by Michal Skrivanek
Modified: 2015-10-27 19:57 EDT (History)
10 users (show)

See Also:
Fixed In Version: is26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 619761
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
REST API request to run VM with cloud-init data (1.74 KB, application/xml)
2014-01-15 13:03 EST, Pavel Novotny
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 15537 None None None Never
oVirt gerrit 21447 None None None Never
oVirt gerrit 22026 None None None Never

  None (edit)
Comment 1 Michal Skrivanek 2013-11-20 08:44:33 EST
merged to master, pending ovirt-engine-3.3 backport acceptance
Comment 2 Sven Kieske 2013-12-06 09:04:53 EST
Hi, can this one get backported in 3.3.1 or at least 3.3.2?
I would help and provide testing for this.
Comment 3 Pavel Novotny 2014-01-15 12:54:19 EST
Verified in rhevm-3.3.0-0.44.el6ev.noarch (is31).

Verification steps:
1. Create new fresh VM with two network interfaces. I used RHEL 6.5 x86_64 with installed cloud-init-0.7.2-2.el6.noarch.
2. In your favorite REST client send the attached XML request via POST method to https://<fqdn>/api/vms/<vm-uuid>/start
  - see example at http://www.ovirt.org/Features/Cloud-Init_Integration - API Design section
3. When the VM is fully started, log into it (using the specified root password and also with SSH key) and check the following:
 * hostname (/etc/sysconfig/network)
 * network interfaces (IP address, mask, boot protocol, gateway)
 * DNS settings (/etc/resolv.conf)
 * system time zone (/etc/sysconfig/clock)
 * new file with proper content (/tmp/file1.txt)

All data are corresponding with those from the XML request.

Optionally, the cloud-init config drive data are visible via REST API as the CD-ROM payload. Do a GET request on the VM (https://<fqdn>/api/vm/<vm-uuid>/) and search for the <payload type="cdrom"> node.
Comment 4 Pavel Novotny 2014-01-15 13:03:08 EST
Created attachment 850603 [details]
REST API request to run VM with cloud-init data
Comment 5 Itamar Heim 2014-01-21 17:31:11 EST
Closing - RHEV 3.3 Released
Comment 6 Itamar Heim 2014-01-21 17:31:14 EST
Closing - RHEV 3.3 Released
Comment 7 Itamar Heim 2014-01-21 17:34:01 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.